includes/stg/SMP.h: use 'NOSMP' instead of never defined 'WITHSMP' (Trac #8789)
ClosedPublic

Authored by trofi on Jun 29 2014, 4:06 AM.

Details

Summary

git history does not contain state where 'WITHSMP' macro was ever defined.
It should have always been '!NOSMP'.

Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

Test Plan

build tested

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Lint Skipped
Unit
Unit Tests Skipped
trofi updated this revision to Diff 71.Jun 29 2014, 4:06 AM
trofi retitled this revision from to includes/stg/SMP.h: use 'NOSMP' instead of never defined 'WITHSMP' (Trac #8789).
trofi updated this object.
trofi edited the test plan for this revision. (Show Details)
trofi added reviewers: austin, simonmar.
trofi added a comment.Jun 29 2014, 4:13 AM

Also, what do you think of moving '#if defined(NOSMP)' upper
so it would be faster for arches that have lost SMP support (due to bitrot NCG),
like ppc64/sparc?

Thanks!

simonmar requested changes to this revision.Jun 29 2014, 2:44 PM
simonmar edited edge metadata.

Please refactor so that the NOSMP test is first, as you suggest.

This revision now requires changes to proceed.Jun 29 2014, 2:44 PM
trofi updated this revision to Diff 73.Jun 30 2014, 2:50 AM
trofi edited edge metadata.

Moved NOSMP upper to be preferred implementation.

austin accepted this revision.Jul 1 2014, 9:20 AM
austin edited edge metadata.

LGTM!

simonmar accepted this revision.Jul 1 2014, 12:20 PM
simonmar edited edge metadata.
This revision is now accepted and ready to land.Jul 1 2014, 12:20 PM
austin closed this revision.Jul 2 2014, 10:12 AM
austin updated this revision to Diff 84.

Closed by commit rGHC34bae1f737e1 (authored by @trofi, committed by @austin).